* {
    font-family: sans-serif;
}
html, body {
    margin:0;
    padding:0;
    overflow-x:clip;
}
h1 {
    background-color: navy;
    color: white;
    margin: 0;
    width:100vw;
    width:100dvw;
    padding: 1em 0 1em 0;
    text-align: center;
}
#name-head {
    display:inline-block;
    padding-left: 1em;
}
#year-head {
    float:right;
    padding-right: 1.5em;
}
div:has(#name-head) {
    background-color: lightgray;
    width: 100vw;
    width: 100dvw;
}
#main-content {
    width:100vw;
    display: flex;
}
#top-bar {
    width: 100%;
    background-color:gray;
    height:4.25em;
}
#fullscreen-button {
    height:3em;
    aspect-ratio: 1;
    margin:1em;
    margin-right:2em;
    background-color: transparent;
    padding:0;
    border-width: 5px;
    cursor: pointer;
    float:right;
}
#fullscreen-button > img {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
}
#main-content > div {
    flex-grow: 1;
    flex-basis: 0;
}
#frame-box {
    display: flex;
    justify-content: center;
    background-color:gray;
}
#paper-frame {
    width:90%;
    aspect-ratio:8.5/11;
    scrollbar-gutter: stable;
    border:none;
    padding-bottom:2em;
}
#about-paper {
    padding: 1em;
    padding-left:1.5em;
}
#about-paper > p {
    line-height: 1.5;
}
#footer {
    text-align: center;
    color:rgb(98, 98, 98);
    border-top: 2px dashed lightgray;
}

#nav {
    position: sticky;
    top: 0;
    display:flex;
    align-items: center;
    background-color: white;
    padding: 0;
    flex-wrap: wrap;
}
#nav > a:not([id="nav-name-a"]) {
    flex-grow: 1;
    display: inline-block;
    text-align: center;
    padding: 0.8em;
    margin-left: 0.8em;
    margin-right: 0.8em;
    margin-top: 0;
    margin-bottom:0;
    flex-shrink: 1;
    cursor: pointer;
    color:black;
    text-decoration:none;
}
#nav-name-a {
    flex-grow:2;
    display:flex;
    align-items: center;
    padding: 0.8em;
    margin-left: 0.8em;
    margin-right: 0.8em;
    margin-top: 0;
    margin-bottom: 0;
    text-wrap: nowrap;
    cursor: pointer;
    color:black;
    text-decoration: none;
}
#nav-name-a > h2 {
    display:inline-block;
    margin: 0.8em;
    color:black;
    text-decoration: none;;
}
#nav-name-a > img {
    height: 4em;
    display: inline-block;
}


@media (orientation: landscape) {
    #main-content {
        flex-direction: row;
    }
}
@media (orientation: portrait) {
    #main-content {
        flex-direction: column;
    }
}